package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.shiftmanagement.*;
import com.engine.kq.service.KQShiftManagementService;
import java.util.Map;
import weaver.hrm.User;

/**
 * 班次管理
 */

public class KQShiftManagementServiceImpl extends Service implements KQShiftManagementService {


  @Override
  public Map<String, Object> getTabs(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetTabsCmd(params, user));
  }

  @Override
  public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetRightMenuCmd(params, user));
  }

  @Override
  public Map<String, Object> getShiftManagementSearchCondition(Map<String, Object> params,
      User user) {
    return commandExecutor.execute(new GetShiftManagementSearchConditionCmd(params, user));
  }

  @Override
  public Map<String, Object> getShiftManagementSearchList(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetShiftManagementSearchListCmd(params, user));
  }

  @Override
  public Map<String, Object> getShiftManagementBaseForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetShiftManagementBaseFormCmd(params, user));
  }

  @Override
  public Map<String, Object> saveShiftManagementBaseForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveShiftManagementBaseFormCmd(params, user));
  }

  @Override
  public Map<String, Object> getShiftManagementPersonalizedForm(Map<String, Object> params,
      User user) {
    return commandExecutor.execute(new GetShiftManagementPersonalizedFormCmd(params, user));
  }

  @Override
  public Map<String, Object> saveShiftManagementPersonalizedForm(Map<String, Object> params,
      User user) {
    return commandExecutor.execute(new SaveShiftManagementPersonalizedFormCmd(params, user));
  }

  @Override
  public Map<String, Object> delShiftManagementForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new DelShiftManagementFormCmd(params, user));
  }

  @Override
  public Map<String, Object> getEmailRemindForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetEmailRemindFormCmd(params, user));
  }

  @Override
  public Map<String, Object> saveEmailRemind(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveEmailRemindCmd(params, user));
  }

  @Override
  public Map<String, Object> getMessageRemindForm(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetMessageRemindFormCmd(params, user));
  }

  @Override
  public Map<String, Object> saveMessageRemind(Map<String, Object> params, User user) {
    return commandExecutor.execute(new SaveMessageRemindCmd(params, user));
  }

  @Override
  public Map<String, Object> getDetachOperatelevel(Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetDetachOperatelevelCmd(params, user));
  }
}
